Debian Bug report logs - #431873
udeb is missing in .shlibs

version graph

Package: zlib1g; Maintainer for zlib1g is Mark Brown <broonie@debian.org>; Source for zlib1g is src:zlib.

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Thu, 5 Jul 2007 16:51:02 UTC

Severity: serious

Tags: d-i

Found in version zlib/1:1.2.3.3.dfsg-3

Fixed in version zlib/1:1.2.3.3.dfsg-4

Done: Mark Brown <broonie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#431873; Package zlib1g. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, Mark Brown <broonie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udeb is missing in .shlibs
Date: Thu, 5 Jul 2007 18:49:51 +0200
[Message part 1 (text/plain, inline)]
Package: zlib1g
Version: 1:1.2.3.3.dfsg-3
Severity: serious
Tags: patch, d-i

It seems that in fixing #431124, you have removed the .shlibs entry
mentioning zlib1g-udeb.  This currently breaks the debian-installer
builds as udeb depending on zlib1g doesn't reference the correct package
anymore.

The attached patch should fix this issue.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[zlib_1.2.3.3.dfsg-3_fix_udeb_shlibs.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#431873; Package zlib1g. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 431873@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Jérémy Bobbio <lunar@debian.org>, 431873@bugs.debian.org
Subject: Re: Bug#431873: udeb is missing in .shlibs
Date: Thu, 5 Jul 2007 18:58:37 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jul 05, 2007 at 06:49:51PM +0200, Jérémy Bobbio wrote:

> It seems that in fixing #431124, you have removed the .shlibs entry
> mentioning zlib1g-udeb.  This currently breaks the debian-installer
> builds as udeb depending on zlib1g doesn't reference the correct package
> anymore.

That's not from #431124, it's from converting to use debhelper which
isn't quite as helpful as I'd like about shared libraries.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#431873; Package zlib1g. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 431873@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Jérémy Bobbio <lunar@debian.org>, 431873@bugs.debian.org
Subject: Re: Bug#431873: udeb is missing in .shlibs
Date: Thu, 5 Jul 2007 19:20:02 +0100
[Message part 1 (text/plain, inline)]
tag 431873 - patch
thanks

On Thu, Jul 05, 2007 at 06:49:51PM +0200, Jérémy Bobbio wrote:

> The attached patch should fix this issue.

Only for the d-i case, unfortunately.  The cross library packages also
have the same problem and it looks like they can't be fixed without
doing the shlibs by hand.

Expect a fix tomorrow evening.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Fri, 06 Jul 2007 18:51:02 GMT) Full text and rfc822 format available.

Reply sent to Mark Brown <broonie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 431873-close@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 431873-close@bugs.debian.org
Subject: Bug#431873: fixed in zlib 1:1.2.3.3.dfsg-4
Date: Fri, 06 Jul 2007 20:32:07 +0000
Source: zlib
Source-Version: 1:1.2.3.3.dfsg-4

We believe that the bug you reported is fixed in the latest version of
zlib, which is due to be installed in the Debian FTP archive:

lib64z1-dev_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/lib64z1-dev_1.2.3.3.dfsg-4_powerpc.deb
lib64z1_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/lib64z1_1.2.3.3.dfsg-4_powerpc.deb
zlib-bin_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/zlib-bin_1.2.3.3.dfsg-4_powerpc.deb
zlib1g-dbg_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/zlib1g-dbg_1.2.3.3.dfsg-4_powerpc.deb
zlib1g-dev_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/zlib1g-dev_1.2.3.3.dfsg-4_powerpc.deb
zlib1g-udeb_1.2.3.3.dfsg-4_powerpc.udeb
  to pool/main/z/zlib/zlib1g-udeb_1.2.3.3.dfsg-4_powerpc.udeb
zlib1g_1.2.3.3.dfsg-4_powerpc.deb
  to pool/main/z/zlib/zlib1g_1.2.3.3.dfsg-4_powerpc.deb
zlib_1.2.3.3.dfsg-4.diff.gz
  to pool/main/z/zlib/zlib_1.2.3.3.dfsg-4.diff.gz
zlib_1.2.3.3.dfsg-4.dsc
  to pool/main/z/zlib/zlib_1.2.3.3.dfsg-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 431873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Brown <broonie@debian.org> (supplier of updated zlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 06 Jul 2007 19:26:23 +0100
Source: zlib
Binary: lib32z1 zlib1g-dev zlib1g lib64z1 zlib-bin zlib1g-dbg lib32z1-dev lib64z1-dev zlib1g-udeb
Architecture: source powerpc
Version: 1:1.2.3.3.dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Mark Brown <broonie@debian.org>
Changed-By: Mark Brown <broonie@debian.org>
Description: 
 lib64z1    - compression library - 64 bit runtime
 lib64z1-dev - compression library - 64 bit development
 zlib-bin   - compression library - sample programs
 zlib1g     - compression library - runtime
 zlib1g-dbg - compression library - development
 zlib1g-dev - compression library - development
 zlib1g-udeb - compression library - runtime for Debian installer (udeb)
Closes: 431873
Changes: 
 zlib (1:1.2.3.3.dfsg-4) unstable; urgency=low
 .
   * dh_makeshlibs needs to be handheld when building multiple library
     packages (closes: #431873).
Files: 
 c1863dc77fd175ae5f90efab1db292a5 792 libs optional zlib_1.2.3.3.dfsg-4.dsc
 1854ff116722afb13b6c9334bb976d77 11699 libs optional zlib_1.2.3.3.dfsg-4.diff.gz
 c8893c5e8bc625e571a3e6b9c79eb62b 72938 libs required zlib1g_1.2.3.3.dfsg-4_powerpc.deb
 e383d22de2ffcaecc80bb2381e21d1c4 160632 libdevel optional zlib1g-dev_1.2.3.3.dfsg-4_powerpc.deb
 651a1b22a1af4ae46dda86dd83a37a15 165998 libdevel extra zlib1g-dbg_1.2.3.3.dfsg-4_powerpc.deb
 04933c543b62d446d822c8b1bf7beccb 48446 utils optional zlib-bin_1.2.3.3.dfsg-4_powerpc.deb
 adb0da419f47faf318b1c8abd891443f 736 debian-installer optional zlib1g-udeb_1.2.3.3.dfsg-4_powerpc.udeb
 2fa8c96c280632fa271001eab25c21a1 77994 libs optional lib64z1_1.2.3.3.dfsg-4_powerpc.deb
 4d4e275ff31188e74108506cc3684dba 80240 libdevel optional lib64z1-dev_1.2.3.3.dfsg-4_powerpc.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGjp3HJ2Vo11xhU60RAjzmAJ9cDkdJBWtHF8daB2BHmPw9qWy7tQCgm+oV
hYibZSvkUewjrTtr9egEzrI=
=mM5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Aug 2007 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:54:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.